Package docking.widgets.conditiontestpanel

# Class ConditionTestModel

java.lang.Object
docking.widgets.conditiontestpanel.ConditionTestModel

public class ConditionTestModel extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConditionTestModel(ConditionTestPanel conditionTestPanel, List<ConditionTester> tests)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCompletedTestCount()`
  `int`
  `getErrorCount()`
  `int`
  `getSkippedCount()`
  `ConditionStatus`
  `getStatus(ConditionTester test)`
  `String`
  `getStatusMessage(ConditionTester test)`
  `int`
  `getTestCount()`
  `List<ConditionTester>`
  `getTests()`
  `int`
  `getWarningCount()`
  `boolean`
  `isInProgress()`
  `boolean`
  `isInProgress(ConditionTester test)`
  `void`
  `runTests(TaskMonitor monitor)`
  `void`
  `setEnabled(ConditionTester test, boolean enabled)`
  `void`
  `skippingTest(ConditionTester test)`
  `void`
  `skipTests()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConditionTestModel

    public ConditionTestModel(ConditionTestPanel conditionTestPanel, List<ConditionTester> tests)

- ## Method Details

  - ### runTests

    public void runTests(TaskMonitor monitor)

  - ### skipTests

    public void skipTests()

  - ### getTestCount

    public int getTestCount()

  - ### getCompletedTestCount

    public int getCompletedTestCount()

  - ### getWarningCount

    public int getWarningCount()

  - ### getErrorCount

    public int getErrorCount()

  - ### getSkippedCount

    public int getSkippedCount()

  - ### skippingTest

    public void skippingTest(ConditionTester test)

  - ### getTests

    public List<ConditionTester> getTests()

  - ### getStatus

    public ConditionStatus getStatus(ConditionTester test)

  - ### isInProgress

    public boolean isInProgress()

  - ### isInProgress

    public boolean isInProgress(ConditionTester test)

  - ### setEnabled

    public void setEnabled(ConditionTester test, boolean enabled)

  - ### getStatusMessage

    public String getStatusMessage(ConditionTester test)